Skip to main content
POST
/
organizations
/
{organization_id}
/
subscriptions
Error
A valid request URL is required to generate request examples
{
  "id": "<string>",
  "status": "requested",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "owner": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "owner_info": {
    "type": "<string>",
    "username": "<string>",
    "display_name": "<string>"
  },
  "vendor": "<string>",
  "plan": "<string>",
  "environments": 123,
  "storage": 123,
  "user_licenses": 123,
  "project_id": "<string>",
  "project_endpoint": "<string>",
  "project_title": "<string>",
  "project_region": "<string>",
  "project_region_label": "<string>",
  "project_ui": "<string>",
  "project_options": {
    "defaults": {
      "settings": {},
      "variables": {},
      "access": {},
      "capabilities": {}
    },
    "enforced": {
      "settings": {},
      "capabilities": {}
    },
    "regions": [
      "<string>"
    ],
    "plans": [
      "<string>"
    ],
    "billing": {}
  },
  "agency_site": true,
  "invoiced": true,
  "hipaa": true,
  "is_trial_plan": true,
  "services": [
    {}
  ],
  "green": true
}

Authorizations

Authorization
string
header
required

Path Parameters

organization_id
string<ulid>
required

The ID of the organization.

Body

application/json
project_region
string
required

The machine name of the region where the project is located. Cannot be changed after project creation.

plan
string

The project plan.

project_title
string

The name given to the project. Appears as the title in the UI.

options_url
string

The URL of the project options file.

default_branch
string

The default Git branch name for the project.

environments
integer

The maximum number of active environments on the project.

storage
integer

The total storage available to each environment, in MiB. Only multiples of 1024 are accepted as legal values.

Response

Created

The subscription object.

id
string

The internal ID of the subscription.

status
enum<string>

The status of the subscription.

Available options:
requested,
provisioning failure,
provisioning,
active,
suspended,
deleted
created_at
string<date-time>

The date and time when the subscription was created.

updated_at
string<date-time>

The date and time when the subscription was last updated.

owner
string<uuid>

The UUID of the owner.

owner_info
object

Project owner information that can be exposed to collaborators.

vendor
string

The machine name of the vendor the subscription belongs to.

plan
string

The plan type of the subscription.

environments
integer

The number of environments which can be provisioned on the project.

storage
integer

The total storage available to each environment, in MiB. Only multiples of 1024 are accepted as legal values.

user_licenses
integer

The number of chargeable users who currently have access to the project. Manage this value by adding and removing users through the Platform project API. Staff and billing/administrative contacts can be added to a project for no charge. Contact support for questions about user licenses.

project_id
string

The unique ID string of the project.

project_endpoint
string

The project API endpoint for the project.

project_title
string

The name given to the project. Appears as the title in the UI.

project_region
string

The machine name of the region where the project is located. Cannot be changed after project creation.

project_region_label
string

The human-readable name of the region where the project is located.

project_ui
string

The URL for the project's user interface.

project_options
object

The project options object.

agency_site
boolean

True if the project is an agency site.

invoiced
boolean

Whether the subscription is invoiced.

hipaa
boolean

Whether the project is marked as HIPAA.

is_trial_plan
boolean

Whether the project is currently on a trial plan.

services
object[]

Details of the attached services.

green
boolean

Whether the subscription is considered green (on a green region, belonging to a green vendor) for billing purposes.